List questionnaire instances
curl --request GET \
--url https://{your-prod-endpoint}/api/v1/questionnaire-status/list \
--header 'X-Api-Key: <api-key>'import requests
url = "https://{your-prod-endpoint}/api/v1/questionnaire-status/list"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://{your-prod-endpoint}/api/v1/questionnaire-status/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"questionnaireId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"externalId": "<string>",
"metadata": {},
"isReviewed": true,
"score": 123,
"userName": "<string>",
"userPhone": "<string>",
"calls": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"apiKeyId": "<string>",
"endUserId": "<string>",
"questionnaireInstanceId": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"schedulingWindow": {
"date": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"allowedDaysOfWeek": [
3
]
},
"transcription": [
{
"content": "<string>",
"time": "2023-11-07T05:31:56Z"
}
],
"summary": "<string>",
"transferReason": "<string>",
"userIntent": "<string>",
"callResult": "<string>"
}
],
"answers": [
{
"question": {
"id": "<string>",
"externalId": "<string>",
"questionType": "<string>",
"questionText": {
"es": "Seguimiento postconsulta",
"en": "Post-visit follow up"
}
},
"value": "<string>"
}
]
}
],
"pagination": {}
}Questionnaire Instances
List questionnaire instances
Lists instances with pagination. Supports filtering by status, review state, questionnaire, and free-text search.
GET
/
api
/
v1
/
questionnaire-status
/
list
List questionnaire instances
Authorizations
API Key provided by Omniloy. The same key is used for inbound and outbound calls.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 1000Comma-separated list.
Maximum string length:
200⌘I